## xserver-xorg-input-evdev 2.1.1-1-tsm2

=== debian/changelog ===
xserver-xorg-input-evdev (1:2.1.1-1-tsm2) jaunty; urgency=low

  [Bryce Harrington]
  * rules:  Adding 'patch' to the build task appears to be unnecessary.

  [Jeffrey Knockel]
  * Add 102_filter_kernel_repeat.patch: Allow software to control keyboard
    repeat rate. (LP: #345397, LP: #264196)

 -- lian liang <lianglian@thunderst.com>  Fri, 03 Apr 2009 17:45:01 -0700

xserver-xorg-input-evdev (1:2.1.1-1ubuntu3) jaunty; urgency=low

  * Add 101_evdevcachecompare_errmsgs.patch: Provides more specific error
    messages to assist in debugging issues where currently it merely says,
    "Device has changed - disabling", such as in 327175.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 12 Feb 2009 09:09:49 -0800

xserver-xorg-input-evdev (1:2.1.1-1ubuntu2) jaunty; urgency=low

  * Add 100_exclude_touchscreen_pos.patch as cherry-pick from upstream:
    EvdevCacheCompare fails because it also compares all values of
    input_absinfo structure, which include the last tapped position of the
    touchscreen (.value field). This is never updated in the cache, and
    anyway it could change anytime if the screen is touched while away
    from the X virtual console.
    (LP: #322946)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 09 Feb 2009 14:31:19 -0800

xserver-xorg-input-evdev (1:2.1.1-1ubuntu1) jaunty; urgency=low

  * Merge with Debian experimental, remaining changes:
    - Don't install the fdi file, hal in ubuntu already ships one.
  * Drop 100_dont_check_abi.patch, since the new xserver has a higher
    INPUT_ABI already.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 22 Jan 2009 15:22:17 +0200

xserver-xorg-input-evdev (1:2.1.1-1) experimental; urgency=low

  * New upstream release.
  * Update debian/copyright from upstream's COPYING.
  * Build against xserver 1.6 rc1.

 -- Julien Cristau <jcristau@debian.org>  Wed, 21 Jan 2009 21:58:47 +0100

xserver-xorg-input-evdev (1:2.1.0-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
    + Store device file's minor/major to avoid duplicate devices
      (closes: #505635)

  [ Julien Cristau ]
  * debian/control: update the long description.  We don't do "clever" device
    matching anymore, that's hal/udev's job.  Also drop the mention of
    'Protocol "evdev"', which unexists since quite a while.

 -- Julien Cristau <jcristau@debian.org>  Wed, 26 Nov 2008 19:27:26 +0100

xserver-xorg-input-evdev (1:2.1.0-0ubuntu3) jaunty; urgency=low

  * Rebuild against new xorg-server for armel.

 -- Loic Minier <lool@dooz.org>  Fri, 19 Dec 2008 14:53:31 +0100

xserver-xorg-input-evdev (1:2.1.0-0ubuntu2) jaunty; urgency=low

  * Rebuild against the new xserver.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 15 Dec 2008 11:49:48 +0200

xserver-xorg-input-evdev (1:2.1.0-0ubuntu1) jaunty; urgency=low

  * Merge from Debian experimental, remaining changes:
    - 100_dont_check_abi.patch: Don't check for XINPUT_VERSION >= 3, since
      our xserver & libXi has those bits backported.
    - Bump the build-dep on xserver-xorg-dev and x11proto-input-dev.
  * Don't install the fdi file, hal in ubuntu already ships one.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 26 Nov 2008 14:06:08 +0200

xserver-xorg-input-evdev (1:2.0.99.3-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * rules: Clean config.h.in.

  [ Julien Cristau ]
  * New upstream release.
    + don't grab the device by default
    + close the device on DEVICE_OFF, and reopen it on DEVICE_ON
      (closes: #496101, #492146)
  * Drop patch included upstream.
  * Install (temporarily) an fdi file to get Xorg to load the evdev driver for
    mice and keyboards.
  * Depend on xserver-xorg-core >= 2:1.5.3, to make sure the console is set to
    RAW mode.

 -- Julien Cristau <jcristau@debian.org>  Wed, 12 Nov 2008 20:22:57 +0100

xserver-xorg-input-evdev (1:2.0.99+git20080912-0ubuntu6) intrepid-proposed; urgency=low

  * 101_64bit_safe_testbit.patch: On amd64 evdev would be used for joysticks
    because TestBit would return a wrong value. (LP: #284951)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 21 Oct 2008 18:23:09 +0300

xserver-xorg-input-evdev (1:2.0.99+git20080912-0ubuntu5) intrepid; urgency=low

  * Rebuild against new x11proto-input-dev.

 -- William Grant <wgrant@ubuntu.com>  Sat, 18 Oct 2008 21:13:47 +1100

xserver-xorg-input-evdev (1:2.0.99+git20080912-0ubuntu4) intrepid; urgency=low

  * Cherry-pick commit 7243116f from upstream, "Don't post keycodes > 255."
    (LP: #274203)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu, 16 Oct 2008 17:37:04 +0300

xserver-xorg-input-evdev (1:2.0.99+git20080912-0ubuntu3) intrepid; urgency=low

  * Merged with upstream master, commit 84a0e39c0dd, "Use new property API"
  * Drop patch 101, cherry-picked the commit.
  * Bump the build-dep on xserver-xorg-dev and x11proto-input-dev.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 10 Oct 2008 12:24:00 +0300

xserver-xorg-input-evdev (1:2.0.99+git20080912-0ubuntu2) intrepid; urgency=low

  * 101_evdev-close-fd.patch: Fix issue where keystrokes on tty can "leak"
    into the X session after vt switch, due to an fd still being open.
    (LP: #276887)

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 03 Oct 2008 13:52:36 -0700

xserver-xorg-input-evdev (1:2.0.99+git20080912-0ubuntu1) intrepid; urgency=low

  * New upstream snapshot, up to commit 9930477cbeb4acf.
    - Add support for device properties (Middle button emulation, timeout).
    - Add support for features ported from mousedrv (also through
      properties):
      * Button mapping
      * Mouse wheel emulation, timeout
      * DragLockButtons
    - Attempt to reopen devices on read errors
  * 100_dont_check_abi.patch: Don't check for XINPUT_VERSION >= 3, since
    our xserver & libXi has those bits backported.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 12 Sep 2008 16:15:21 +0300

xserver-xorg-input-evdev (1:2.0.3-2ubuntu1) intrepid; urgency=low

  * Pull 36d702006d, "Force rules, not model, to be evdev".

