=== debian/control ===
Source: xserver-xorg-input-evdev
Section: utils
Priority: optional
Maintainer: lian liang <lianglian@thunderst.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: guobz <guobz@thunderst.com>
Build-Depends:
 debhelper (>= 5.0.0),
 pkg-config,
 quilt,
 xserver-xorg-dev (>= 2:1.5.99.901),
 x11proto-core-dev,
 x11proto-randr-dev,
 x11proto-input-dev,
 x11proto-kb-dev,
 libxkbfile-dev,
 dpkg-dev (>= 1.14.17),
 automake,
 libtool,
 xutils-dev
Standards-Version: 3.7.3
Vcs-Git: git://git.debian.org/git/pkg-xorg/driver/xserver-xorg-input-evdev
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/driver/xserver-xorg-input-evdev.git

Package: xserver-xorg-input-evdev
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xserver:Depends}
Provides: ${xinpdriver:Provides}
Replaces: xserver-xorg (<< 6.8.2-35)
Description: X.Org X server -- evdev input driver
 This package provides the driver for input devices using evdev, the Linux
 kernel's event delivery mechanism.  This driver allows for multiple keyboards
 and mice to be treated as separate input devices.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This package is built from the X.org xf86-input-evdev driver module.
